


int redPin = 6;  // connect your RED output to the number 6 pin
int bluePin = 5; // connect your BLUE output to the number 5 pin
int echoPin = 12; // connect the corresponding ECHO output from the sensor to the number 12 pin
int trigPin = 13;  // connect the corresponding TRIGGER output from the sensor to the number 13 pin
#include <HCSR04.h>

UltraSonicDistanceSensor distanceSensor(13, 12); // initialize sensor that uses digital pins 13 and 12.


void setup() { // define your setup info in here
  pinMode(redPin, OUTPUT);
  pinMode(bluePin, OUTPUT);
  pinMode(echoPin, INPUT);
  pinMode(trigPin, OUTPUT);
  Serial.begin(9600);
}

void loop() { // in this void loop you define the distance paramaters for your sensor, and make it change colors according to said distance

  Serial.println(distanceSensor.measureDistanceCm()); // you get the distance information from this

  if ((distanceSensor.measureDistanceCm () < 50) && (distanceSensor.measureDistanceCm () > 0)) { // define a minumum distance (50cm) 
                                                                                                 //so that the red light is activated
    analogWrite(redPin, 255); // red max value
    analogWrite(bluePin, 0); // blue value 0

  }

  else  {  // when the distance is greater than 50cm, the user isn't close enough, so the color light doesn't change and the portrait appears normal
    analogWrite(bluePin, 255); // blue max value
    analogWrite(redPin, 0); // red value 0
  }
}
